@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');


/* ----------------------  THEME VARIABLES ---------------------- */

:root
{
    --color-primary: #7380ec;
    --color-danger: #ff7782;
    --color-success: #41f1b6;
    --color-warning: #ffbb55;
    --color-white: #fff;
    --color-info-dark: #7d8da1;
    --color-info-light: #dce1eb;
    --color-dark: #363949;
    --color-light: rgba(132,139,200,0.18);
    --color-primary-variant: #111e88;
    --color-dark-variant: #677483;
    --color-background: #f6f6f9;

    --card-border-radius: 2rem;
    --border-radius-1: 0.4rem;
    --border-radius-2: 0.8rem;
    --border-radius-3: 1.2rem;

    --card-padding: 1.8rem;
    --padding-1: 1.2rem;

    --box-shadow: 0 2rem 3rem var(var(--color-light));

}

/* ---------------------- DARK THEME VARIABLES ---------------------- */

.dark-theme-variables
{
    --color-background: #181a1e;
    --color-white: #202528;
    --color-dark: #edeffd;
    --color-dark-variant: #a3bdcc;
    --color-light: rgba(0, 0, 0, 0.4);
    --box-shadow: 0 2rem 3rem var(--color-light);
}

/* ---------------------- GENERAL ---------------------- */

*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body
{
    background: var(--color-background);
}

.content_grid
{
    display: grid;
    gap: 20px;
    overflow: hidden;
    padding: var(--padding-1);
}

.simple_content_grid
{
    grid-template-columns: repeat(1, 1fr);
}

.double_content_grid
{
    grid-template-columns: repeat(2, 1fr);
}

.triple_one_content_grid
{
    grid-template-columns: repeat(2, 40% 60%);
}

.content p
{
    margin: 10px 10%;
}


.content_grid h3
{
    margin-top: 50px;
}

.content_grid h1,.content_grid h3
{
    text-align: center;
}

.maincontent .content_grid .content .label
{
    margin: 15px 0 0px;
    text-align: center;
    color: white;
    font-size: 0.9rem;
}

.maincontent .content_grid .content .label span
{
    padding: 5px 10px;
    border-radius: 5px;
}

.maincontent .content_grid .content .label .red
{
    background-color: rgba(197, 64, 64, 0.644);
    transition: 0.2s;
}

.maincontent .content_grid .content .label .red:hover
{
    background-color: rgba(197, 64, 64, 0.844);
    transition: 0.2s;
}

.maincontent .content_grid .content .label .orange
{
    background-color: rgba(197, 113, 64, 0.644);
    transition: 0.2s;
}

.maincontent .content_grid .content .label .orange:hover
{
    background-color: rgba(197, 113, 64, 0.844);
    transition: 0.2s;
}

.maincontent .content_grid .content .label .blue
{
    background-color: rgba(55, 55, 209, 0.644);
    transition: 0.2s;
}

.maincontent .content_grid .content .label .blue:hover
{
    background-color: rgba(55, 55, 209, 0.844);
    transition: 0.2s;
}

.maincontent .content_grid .content .label .green
{
    background-color: rgba(81, 216, 81, 0.644);
    transition: 0.2s;
}

.maincontent .content_grid .content .label .green:hover
{
    background-color: rgba(81, 216, 81, 0.844);
    transition: 0.2s;
}

h1, h2, h3, h4, h5, h6, p
{
    
    font-family: 'Poppins', sans-serif;
    color: var(--color-dark);
}

a
{
    text-decoration: none;
}


/* ---------------------- NAVIGATION BAR ---------------------- */

.navigation
{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: #cebdbd;
    transition: 0.2s;
    display: flex;
    visibility: hidden;
    opacity: 0;
    z-index: 900;
}

.navigation.active
{
    visibility: visible;
    opacity: 1;
}

.navigation .navArea
{
    position: relative;
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navigation .navArea ul li
{
    list-style: none;
    float:left;
    clear:left;
}

.navigation .navArea ul li::before
{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #f00;
    z-index: -1;
    opacity: 0;
    transition: 0.5s;
}

.navigation .navArea ul li:nth-child(1):before
{
    background: #ce6262;
}
.navigation .navArea ul li:nth-child(2):before
{
    background: #555555;
}
.navigation .navArea ul li:nth-child(3):before
{
    background: #a0836f;
}
.navigation .navArea ul li:nth-child(4):before
{
    background: #8db99d;
}
.navigation .navArea ul li:nth-child(5):before
{
    background: #acacac;
}
.navigation .navArea ul li:nth-child(6):before
{
    background: #d39e86;
}
.navigation .navArea ul li:hover::before
{
    opacity: 1;
}

.navigation .navArea ul li a
{
    font-size: 3em;
    font-weight: 600;
    text-decoration: none;
    color: rgba(255, 255, 255, 0.5);
}

.navigation .navArea ul li:hover a
{
    color: rgba(255, 255, 255, 1);
}

.imgArea
{
    position: relative;
    width: 50%;
    height: 100vh;
    background: #f00;
}

.imgArea img
{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/* ---------------------- MENU TOGGLE ---------------------- */

.menuToggle
{
    position: absolute;
    top: 40px;
    right: 40px;
    width: 50px;
    height: 50px;
    background: #000 url(../img/menu.png);
    z-index: 1000;
    background-size: 30px;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer; 

    z-index: 1000;
}

.menuToggle.active
{
    background: #000 url(../img/close.png);
    z-index: 1000;
    background-size: 25px;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer; 
    filter: invert(1);
}



/* ---------------------- THEME DARK/LIGHT TOGGLE ---------------------- */

.theme-toggler
{
    margin-top: 100px;
    text-align:right; 
    margin:100px 30px 0px auto;
    color: var(--color-dark);
    background: var(--color-light);
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 1.6rem;
    width: 4.2rem;
    cursor: pointer;
    border-radius: var(--border-radius-1);
}

.theme-toggler span
{
    font-size: 1.2rem;
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.theme-toggler span.active
{
    background: var(--color-primary);
    color: white;
    border-radius: var(--border-radius-1);
}



/* ---------------------- FRONT TITLE ---------------------- */

h1.title
{
    left: 40px;
    top: 40px;
    position: absolute;
    color: var(--color-dark);
}

h1.title span
{
    color: var(--color-danger);
    font-weight: bold;
}

/* ---------------------- MAIN CONTENT ---------------------- */
.maincontent
{
    position: relative;
    margin: 0 5rem;
    border-radius: var(--border-radius-3);
    overflow: hidden;
    text-align: center;
}
.maincontent .content_grid .svg img
{
    height: auto;
    width: 100%;
}

.maincontent .content_grid .content
{
    text-align: justify;
    color: var(--color-dark);
}

.maincontent .content_grid .content hr
{
    width: 300px;
    height: .1px;
    margin: 10px auto;
    background: var(--color-dark);
    border: .1px solid var(--color-dark);
}

.maincontent .content_grid .content .developer
{
    text-align: center;
}

.user-box p
{
    text-align: center;
}

.profile-photo
{
    margin: auto;
    width: 3.8rem;
    height: 3.8rem;
    border-radius: 50%;
    overflow: hidden;
}

.profile-photo img
{
    width: 3.8rem;
    height: 3.8rem;
    object-fit: cover;
}

.buttondata
{
    border-radius: var(--border-radius-1);
    background-color: transparent;
    border: 2px dashed var(--color-primary);
    color: var(--color-primary);
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 10px auto;
    text-align: center;
    width: 300px;
    padding: 6px 0;
}

.buttondata:hover
{
    border: 2px dashed var(--color-primary-variant);
    color: var(--color-white);
    background-color: var(--color-primary);
}

.buttondata div
{
    display: flex;
    align-items: center;
    gap: 0.6rem;
}

.buttondata div h3
{
    font-weight: 600;
}

.text-center 
{
    text-align: center;
}

.main-map
{
    width: 100%;
    margin: 0 auto;
    height: auto;
}

.graphpara
{
    color: var(--color-dark);
    text-align: center;
    margin: auto;
    padding: 0 40px;
}

.graphpara h2
{
    color: var(--color-primary-variant);
}

.about ul
{
    margin: 5% 0;
    text-align: center;
    list-style: none;
}

.about ul li
{
    margin: 5px 0;
}

.about a
{
    color: var(--color-primary);
}

.about p
{
    text-align: center;
}

.about h1
{
    margin: 20px 0;
}


/* ---------------------- FOOTER ---------------------- */

footer 
{
    position: relative;
    color: var(--color-dark);
    margin: auto;
    margin-top: 80px;
    text-align: center;
    padding: 0 5px
}


footer p
{
    font-size: 12px;
}



/*================== MEDIA QUERIES ============== */

@media screen and (max-width:810px){
    .maincontent
    {
        margin: 0 0;
    }
    .main-map
    {
        width: 100%;
    }
    .double_content_grid
    {
        grid-template-columns: repeat(1, 1fr);
    }
    .triple_one_content_grid 
    {
        grid-template-columns: repeat(1, 1fr);
    }
    h1.title
    {
        left: 30px;
        top: 30px;
        font-size: 1.2rem;
    }
    h1
    {
        font-size: 1.2rem;
    }
    h3
    {
        font-size: 0.9rem;
    }
    .menuToggle
    {
        top: 30px;
        right: 26px;
        width: 35px;
        height: 35px;
        background-size: 20px;
    }

    .theme-toggler
    {
        height: 1.4rem;
        width: 3rem;
        margin-top: 70px;
        margin-right: 20px;
    }
    .theme-toggler span
    {
        font-size: 1rem;
    }


    .navigation .navArea
    {
        position: absolute;
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        z-index: 10;
    }
    .navigation .navArea ul
    {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
    .navigation .navArea ul li:hover a
    {
        color: black;
    }
    .navigation .navArea ul li
    {
        background: #fff;
        margin: 5px 10px;
        padding: 5px 10px;
    }
    .navigation .navArea ul li a
    {
        color: #000;
        font-size: 2em;
        letter-spacing: 2px;
    }
    .imgArea
    {
        position: absolute;
        width: 100%;
        height: 100vh;
        background: #f00;
        opacity: 0.7;
    }
    .navigation .navArea ul li:hover::before
    {
        opacity: 0;
    }
}

@media screen and (max-width: 510px)
{
    .content iframe {
        height: 300px !important;
    }

    .about ul
    {
        margin: 0 10% 20% 10%;
    }
}

 /****************************/
/*     IFRAMES BORDER       */
/****************************/

.simple_content_grid iframe, .double_content_grid iframe
{
    height: 500px;
}

 iframe 
{
    border: none;
    overflow: hidden;
    width: 100%;
}

.resp-iframe { 
    position: inherit;
    height: 100%;
    width: 100%;
    overflow: hidden;
}



@media screen and (max-width:545px) {
    h1.title span {
        display: block;
    }
}

@media screen and (max-width:345px){
    h1
    {
        font-size: 0.7rem;
    }
    h3
    {
        font-size: 0.5rem;
    }
}